Debian Bug report logs - #602740
Squeeze beta1 installer on SunBlade 1000 (sparc) - keyboard not working

version graph

Package: debian-installer; Maintainer for debian-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for debian-installer is src:debian-installer.

Reported by: Jurij Smakov <jurij@wooyd.org>

Date: Sun, 7 Nov 2010 17:54:01 UTC

Severity: serious

Fixed in version debian-installer/20101121

Done: Otavio Salvador <otavio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#602740; Package installation-reports. (Sun, 07 Nov 2010 17:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 07 Nov 2010 17:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: submit@bugs.debian.org
Subject: Squeeze beta1 installer on SunBlade 1000 (sparc) - keyboard not working
Date: Sun, 7 Nov 2010 17:50:58 +0000
Package: installation-reports

Hello,

I've tried a couple of installs on my SunBlade 1000 box (sparc) using 
the Squeeze beta1 netinst image. Installation using serial console 
with guided partitioning worked like a charm. However, when I tried to 
install from regular console, keyboard (Sun USB Type 6) did not work 
in the installer. I've tried the latest Lenny installer (5.06 netinst) 
and the same keyboard works there, so it looks like a regression. 
Judging by the entries in dmesg, keyboard is detected properly in 
both cases and expected drivers are loaded - it just does not work 
with Squeeze installer.

Best regards,

-- 
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#602740; Package installation-reports. (Mon, 08 Nov 2010 18:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 08 Nov 2010 18:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 602740@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: 602740@bugs.debian.org
Subject: Correction
Date: Mon, 8 Nov 2010 18:32:46 +0000
Correction: keyboard actually works in the system installed using 
Squeeze beta1, but not in installer itself. There is a kernel version 
difference, installer has 2.6.32-25 while installed system ends up 
with 2.6.32-27. Trying to figure out whether this makes a difference 
now.

Best regards,
-- 
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#602740; Package installation-reports. (Mon, 08 Nov 2010 21:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 08 Nov 2010 21:00:03 GMT) Full text and rfc822 format available.

Message #15 received at 602740@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: 602740@bugs.debian.org
Subject: Caused by missing usbhid/hid modules
Date: Mon, 8 Nov 2010 20:56:45 +0000
reassign linux-kernel-di-sparc-2.6
severity serious
thanks

This bug is caused by the lack of usbhid/hid modules in the installer. 
It worked for lenny because in lenny these modules were compiled into 
the kernel:

jurij@droopy:~$ grep CONFIG_HID config-2.6.26-2-sparc64-smp 
CONFIG_HID_SUPPORT=y
CONFIG_HID=y
# CONFIG_HID_DEBUG is not set
CONFIG_HIDRAW=y
CONFIG_HID_FF=y
CONFIG_HID_PID=y
jurij@droopy:~$ grep CONFIG_USB_HID config-2.6.26-2-sparc64-smp 
CONFIG_USB_HID=y
# CONFIG_USB_HIDINPUT_POWERBOOK is not set
# CONFIG_USB_HIDDEV is not set

However the current image used by the installer has:

jurij@droopy:~$ grep CONFIG_HID config-2.6.32-5-sparc64-smp 
CONFIG_HID_SUPPORT=y
CONFIG_HID=m
CONFIG_HIDRAW=y
CONFIG_HID_PID=y
CONFIG_HID_A4TECH=m
[...]
jurij@droopy:~$ grep CONFIG_USB_HID config-2.6.32-5-sparc64-smp 
CONFIG_USB_HID=m
CONFIG_USB_HIDDEV=y

We need to add input-modules on sparc, which should pull in usbhid 
(and, hopefully, the modules it depends on). Otherwise any install 
using USB keyboard will not work.

Best regards,
-- 
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#602740; Package installation-reports. (Mon, 08 Nov 2010 21:06:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 08 Nov 2010 21:06:11 GMT) Full text and rfc822 format available.

Message #20 received at 602740@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: 602740@bugs.debian.org
Subject: Re: Caused by missing usbhid/hid modules
Date: Mon, 8 Nov 2010 21:05:07 +0000
reassign 602740 linux-kernel-di-sparc-2.6
severity 602740 serious
thanks




Bug reassigned from package 'installation-reports' to 'linux-kernel-di-sparc-2.6'. Request was from Jurij Smakov <jurij@wooyd.org> to control@bugs.debian.org. (Mon, 08 Nov 2010 21:06:12 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Jurij Smakov <jurij@wooyd.org> to control@bugs.debian.org. (Mon, 08 Nov 2010 21:06:13 GMT) Full text and rfc822 format available.

Bug reassigned from package 'linux-kernel-di-sparc-2.6' to 'debian-installer'. Request was from Otavio Salvador <otavio@ossystems.com.br> to control@bugs.debian.org. (Tue, 09 Nov 2010 13:51:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Otavio Salvador <otavio@ossystems.com.br> to control@bugs.debian.org. (Tue, 09 Nov 2010 16:03:06 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. (Sun, 21 Nov 2010 19:21:11 GMT) Full text and rfc822 format available.

Notification sent to Jurij Smakov <jurij@wooyd.org>:
Bug acknowledged by developer. (Sun, 21 Nov 2010 19:21:11 GMT) Full text and rfc822 format available.

Message #33 received at 602740-close@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: 602740-close@bugs.debian.org
Subject: Bug#602740: fixed in debian-installer 20101121
Date: Sun, 21 Nov 2010 19:17:26 +0000
Source: debian-installer
Source-Version: 20101121

We believe that the bug you reported is fixed in the latest version of
debian-installer, which is due to be installed in the Debian FTP archive:

debian-installer-images_20101121_amd64.tar.gz byhand
debian-installer_20101121.dsc
  to main/d/debian-installer/debian-installer_20101121.dsc
debian-installer_20101121.tar.gz
  to main/d/debian-installer/debian-installer_20101121.tar.gz
debian-installer_20101121_amd64.deb
  to main/d/debian-installer/debian-installer_20101121_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 602740@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Otavio Salvador <otavio@debian.org> (supplier of updated debian-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 21 Nov 2010 15:53:25 -0200
Source: debian-installer
Binary: debian-installer
Architecture: source amd64
Version: 20101121
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Otavio Salvador <otavio@debian.org>
Description: 
 debian-installer - Debian installer
Closes: 601908 602740
Changes: 
 debian-installer (20101121) unstable; urgency=low
 .
   [ Otavio Salvador ]
   * Enable localudebs usage again since #600852 has been fixed.
   * Add VCS-Browser field to debian.control. Closes: #601908
 .
   [ Martin Michlmayr ]
   * LS Pro: /boot can be ext3 too.  Thanks Ryan Tandy.
 .
   [ Otavio Salvador ]
   * Update Linux kernel udebs for 2.6.32-27.
   * sparc/sparc64: put input-modules into initrd. Closes: #602740
 .
   [ Colin Watson ]
   * geniso_hybrid_plus_firmware_partition: Cope if the disk size exceeds
     32MB.  (The previous code seems to have misunderstood isohybrid's
     defaults slightly, but we now just specify the full CHS geometry
     explicitly in case anything changes in the future.)
 .
   [ Christian Perrier ]
   * Add ttf-sinhala-lklug-udeb to graphical installer to properly
     support the Sinhala language
 .
   [ Otavio Salvador ]
   * Document SPLASH_PNG variable for build configuration.
Checksums-Sha1: 
 ade18054a37eb95b83337cd379a37d1d4ceb74db 3245 debian-installer_20101121.dsc
 c8cf07fe6787d8db448f746b967f50ab383eb14b 1324022 debian-installer_20101121.tar.gz
 15882e8830b88bd2e5432406be963b99f9125f5d 829914 debian-installer_20101121_amd64.deb
 1709be74529f61f603b89af0f8f43d88bb7bf630 172785505 debian-installer-images_20101121_amd64.tar.gz
Checksums-Sha256: 
 06a76525e598d47067b587a26c5e6cac2df6e8c6788642ccbee534cf360acf1a 3245 debian-installer_20101121.dsc
 434e116b9a187c6932b4dcd54566518b984b3b422847885446c5701021c5bbef 1324022 debian-installer_20101121.tar.gz
 dfbff669a6905e09d6824f83d450ee1933a41b1fd530b2452b4258a784d73c4f 829914 debian-installer_20101121_amd64.deb
 fbc346901fb5283b287c775ec6ab331dde074b92d42467c2969f4b8fdf0973c7 172785505 debian-installer-images_20101121_amd64.tar.gz
Files: 
 d0aa7e3eaf485cafae8f6e5054834d2b 3245 devel optional debian-installer_20101121.dsc
 b8f0097723985144224a709ed6243eb5 1324022 devel optional debian-installer_20101121.tar.gz
 35139ad1fc3b10a379dc75797ff24435 829914 devel optional debian-installer_20101121_amd64.deb
 6eb32c36b44b0dac6ffcdeaa834c34f4 172785505 raw-installer - debian-installer-images_20101121_amd64.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJM6WZgAAoJEOtw/vPN/G5PH7wQAM7G8bKYhcqrSq/BXmIk7Hyl
btnxqbBHVBqjX0Oi0GdywA905Wvj2WAiMPbWDeyEt5dPxfi/SNjcXcaL9cJjtt9G
txFfTfqSNJHPs1FW79N1DrGxz+fPR9U9a9JggidAE8MNT1LRd5iGEaAejBz0cEpR
xiW4NOcupz4AfMjdj0rTQTQ8zBHvevxI8vaouvzAJEGcCVs+ZLFHC8C9lur9NM+q
Cuh8oczb0H0QeSPGZIJKR39WexQHFGZy4owpe6N4HNc/KgQNie95yM8VxrFSzWZe
Dsr4eZaqGyYVs8LRk0TwnXqONKYELSYN6WDzrwQVpJbQ4G64wiQJZJ0vKFn7ALXZ
b072wLDlLscEpD9zuagJ2vzrvY7flgkw53yHHPlObXsAR0qjXAzQROn4qcMMs/d0
xDbV094SYbTn+HmBBY9YHvTr9LuO6pFEah6lBV8uLMcd+OCklW3NiDJEWcb40NvF
K5lf3oup5RyRj8+zT2SMAWzCKactmq67FYY85zUezoUoHjMxkE0JtuXR9uyR6ZGa
3Wfyqa0raB9Xdb8psntVLUOYMAPcgde9bb1cq/xWbxlhxw3lxbBCbKi0CJyfceMR
etiS9PckLY3UESz7oGzWrEEbcgpmY48xTHVF+7Mcu6eB9jRLNDPxILu4+yvNg8kM
f3B3LilRtOFBWUp1oJU8
=r+xu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Dec 2010 07:34:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:14:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.